MAXEYE ISDB-T Signal Generation Toolkit Help

The MAXEYE ISDB-T Signal generation toolkit contains VIs that can be used for generating signals with National Instruments hardware or generate signals in simulation mode as per the ARIB standard B31 version 1.6. This document has information about the toolkit Labview API VIs to help engineers for programming.

____________________________________________________________________________________________________

For more information regarding this help please contact info@maxeyetech.com


MaxEye ISDBT SG Initialize.vi

This VI creates MaxEye ISDBT Generation Handle with the default values and passes the handle to the later VIs.

Number of Carriers

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

MAXEYE TECHNOLOGIES Private Limited
Digital Video Toolkits - ISDB-T Signal Generation

For more details on this help, please write to us at
info@maxeyetech.com


MaxEye ISDBT RFSG Create and Download Waveform.vi

This VI perfoms the following.

i. Checks the configuration parameters in the ISDBT Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the ISDBT waveform as per the configured parameters.
iv. Writes the created waveform in the RFSG on board memory.

instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

ISDB-T Generation Handle

ISDB-T Generation Handle

Waveform name

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Stop

instrument handle out passes a reference from the instrument session to the next VI.

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

Play Duration (Sec)

Output Sampling Rate, Hz

Waveform Size

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Create and Save Waveform.vi

This VI perfoms the following.

i. Checks the configuration parameters in the ISDB-T Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size and returns it to the user
iii. Creates the ISDB-T waveform as per the configured parameters.
iv. Writes the created waveform in the file as per the waveform file path location configured by the user

ISDB-T Generation Handle

ISDB-T Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Stop

Waveform Length in Samples

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

Play Duration (Sec)

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Read Waveform From File I8.vi

This VI reads the ISDB-T waveform from the given file location based on the value configured in the count input parameter. The number of bytes read from the file is equal to the value of the count. The data is read continuously from the file.

The default value of the count is 1.

MaxEye ISDBT SG Read Waveform From File I8.vi

MAXEYE TECHNOLOGIES Private Limited
Digital Video Toolkits - ISDB-T Signal Generation

For more details on this help, please write to us at
info@maxeyetech.com


MaxEye ISDBT SG Set Mode.vi

This VI configures the ISDB-Tsignal generation mode along with the carrier index. The valid enum values are Mode 1, Mode 2 and Mode 3. The mode selection determines the number of subcarriers used for data, pilot and other control information. The total number of used subcarriers in Mode 1, Mode 2 and Mode 3 are 1405, 2809 and 5617 respectively.

For more details about the subcarrier allocation for data, control and pilot signals refer chapter 3, Table 3.1 and 3.2 of ARIB standard B31 version 1.6-E2. The default value is Mode 3.

The default value of the carrier index is 0, corresponds to the first carrier. For generating multi carrier signal, Configure the parameters for each carrier index.

ISDB-T Generation Handle In

Mode Selection Configure the Mode Selection for the selected carrier. The valid enum values are Mode 1, Mode 2 and Mode 3. The mode selection determines the number of subcarriers used for data, pilot and other control information. The total number of used subcarriers in Mode 1, Mode 2 and Mode 3 are 1405, 2809 and 5617 respectively.

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Number of Frames.vi

This VI configures the total number of frames property in the ISDB-T signal generation toolkit. The toolkit uses the same frame configuration for all the frames and the payload is continuous across frames.

The default value is 1.

ISDB-T Generation Handle In

Number of Frames

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Signal Bandwidth.vi

This VI configures the value for signal bandwidth property, in Hz in the ISDB-T Signal Generation handle. The signal bandwidth determines the IFFT sampling frequency and IQ rate of the generated complex waveform. The valid enum values for the signal bandwidth are 6 MHz, 7MHz and 8MHz.

The default value is 6MHz.

Signal Bandwidth Configure the bandwidth for the specified carrier. The default vaue is 6 MHz.

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Number of Hierarchical Layers.vi

This VI configures the Number of Hierarchial Layers property in the ISDB-T signal generation handle along with the carrier index. The valid values are 1, 2 and 3.

The default value is 2.

The default value of the carrier index is 0, corresponds to the first carrier. For generating multi carrier signal, Configure the parameters for each carrier index.

ISDB-T Generation Handle In

Number of Hierarchical Layers Configure the required number of layer configurations.
Maximum number of layers is 3.

The default value is 2.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Number of Segments.vi

This VI configures the number of segments to be used for generating the signal along with the carrier index value. The valid enum values for the Number of Segments property are 1, 3 and 13.

The default value is 13.

The default value of the carrier index is 0, corresponds to the first carrier. For generating multi carrier signal, Configure the parameters for each carrier index.

Number of Segments Configures the number of segments to be used for generating the signal.

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Guard Interval.vi

This VI configures the Guard Interval to be used for the ISDB-T signal generation along with the carrier index value. The valid enum values for the Guard Interval property are 1/4, 1/8, 1/16 and 1/32. The Guard Interval is used to specify the length of cyclic prefix as a fraction of the total FFT size. The FFT size in Mode 1, Mode 2 and Mode 3 are 2048, 4096 and 8192 respectively.

The default value is 1/8.

The default value of the carrier index is 0, corresponds to the first carrier. For generating multi carrier signal, Configure the parameters for each carrier index.

ISDB-T Generation Handle In

Guard Interval Configure the Guard Interval for the selected carrier. The Guard Interval is used to specify the length of cyclic prefix as a fraction of the total FFT size. The FFT size in Mode 1, Mode 2 and Mode 3 are 2048, 4096 and 8192 respectively.

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Partial Recepiton Enabled.vi

This VI configures the Partial Reception Enabled Property in the ISDB-T signal generation handle. The valid enum values are True and False. When this property is set to True, the first hierarchical layer is assigned for partial data reception and the number of segments in the first hierarchical layer should be 1. The toolkit returns an error if the number of segments in the first hierarchical layer is not 1 when this property is set to True. Refer section 3.14 of ARIB standard B31 version 1.6-E2 for more details

The default value is True.

The default value of the carrier index is 0, corresponds to the first carrier. For generating multi carrier signal, Configure the parameters for each carrier index.

ISDB-T Generation Handle In

Partial Reception Enabled? Configure the Partial Reception Enabled for the selected carrier. The valid enum values are True and False. When this property is set to True, the first hierarchical layer is assigned for partial data reception and the number of segments in the first hierarchical layer should be 1

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Progress Bar Control Refnum.vi

This VI configures the control refnum in the ISDB-T Generation Handle for progress status bar update in the user front panel. Use this API VI to monitor the progress of the waveform generation. You need to create progress bar control in the labview frontpanel and then pass the control refnum as an input to this VI.

ISDB-T Generation Handle In

Generating Frames

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Headroom.vi

This VI configures the Head room property in the ISDB-T Signal Generation handle. The toolkit uses this value for scaling the waveform. If the PAPR of the signal is higher than the Head room value then the toolkit clips the signal. To avoid clipping Head room value should be higher than PAPR of the signal.

The default value is 12 dB.

ISDB-T Generation Handle In

Headroom, dB

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Waveform File Path.vi

The VI configures the file location for the Waveform File Path property in ISDB-T Signal Generation handle. The toolkit saves the generated waveform in the file when MaxEye ISDB-T RFSG Create and Save Waveform API VI is used for the wavefrom creation.

ISDB-T Generation Handle In

MPEG2TS File Path

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Oversampling Enabled.vi

This VI configures the Oversampling Enabled property in the ISDB-T Signal Generation handle. If this property is set to True then the toolkit resamples the generated signal based on the value configured by the user for the Output Sampling Rate property.

The valid values are True and False. The default value is False.

ISDBT Generation Handle In

Oversampling Enabled ?

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDBT Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Output Sampling Rate.vi

This VI configures the Output Sampling Rate (Hz) property of the ISDBT Signal Generation handle.
The toolkit resamples the generated signal to a sampling rate equal to the Output Sampling Rate only if the Over Sampling Enabled property is set to 1(True). If this value is zero then toolkit generates the signal at a default sampling rate which is in turn dependent on the Bandwidth.

ISDB-T Generation Handle In

Output Sampling Rate, Hz

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ISDB-T Generation Handle Out

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye ISDBT SG Set Sample Width.vi

This VI configures the Sample Width property in the ISDB-T Signal Generation handle. The toolkit uses this value only when MaxEye ISDB-T SG Create and Save Waveform API VI is used for storing the generated waveform in the file.

If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

ISDBT Generation Handle In

Sample Width The default sample width of the output waveform is 16-bits. The available options are 8-bits and 16-bits. We always recommend using 16-bits sample width for better signal quality of the generated waveform.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDBT Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Close Handle.vi

This VI closes the ISDB-T Signal Generation handle and resources associated with it.

ISDB-T Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Number of Carriers.vi

This VI configures the Number of Carriers in the ISDB-T Signal Generation handle. The default value is 1.

ISDB-T Generation Handle In

Number of Carriers

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Carrier Configuration.vi

This VI Configures the Carrier Frequency and Signal Bandwidth for the each carrier based on carrier index value.

Signal Bandwidth Default Value: 6MHz

The default value of the carrier index is 0, corresponds to the first carrier. For generating multi carrier signal, Configure the parameters for each carrier index.

ISDB-T Generation Handle In

Carrier Configuration

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Maximum real time bandwidth.vi

This VI configures the Maximum real time bandwidth in the ISDB-T Signal Generation handle.

The Default value: 100 MHz

ISDB-T Generation Handle In

Maximun real time bandwidth

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Power level.vi

Configures the Power level property in the ISDB-T Signal Generation handle.

The default value is -10 dBm

ISDB-T Generation Handle In

Power Level, dB

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Get Center Frequency.vi

Returns the center frequency of a waveform generated.

ISDB-T Generation Handle in

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

Center Frequency

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Get Waveform Output Sampling Rate.vi

Returns the genreated output waveform sampling rate.

ISDB-T Generation Handle in

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

Output Waveform Sampling Rate

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Get PAPR.vi

Returns the PAPR of the waveform.

ISDB-T Generation Handle in

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

PAPR

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Number of Segments in Layer.vi

This VI configures the Number of Segments in Layer property in the ISDBT Signal Generation handle for the selected Layer Index. The total number of used segments in all the layers should be less than or equal to the value configured in the Number of Segments property. The toolkit returns an error if the total number of segments in all the layer exceeds the Number of Segments.

The default value for Layer Index is 0 and Number of segments in Layer is 1.

Number of Segments in Layer Configure the Number of Segments in layer for the selected layer.
The total number of used segments in all the layers should be less than or equal to the value configured in the Number of Segments property.

Layer Index

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Layer Configuration.vi

This VI configures the Hierarchical Layer properties for the ISDB-T Signal generation handle. The help for the each of the Hieararchial layer specific properties can be found in the proeprty specific API VIs. This API is used for configuring the multiple properties using the Layer Configuration cluster for ease of use.

MaxEye Technologies Recommends to use property specific API VIs to avoid compatibility issues with the Future release of this software.

The default value of the carrier index is 0, corresponds to the first carrier. For generating multi carrier signal, Configure the parameters for each carrier index.

ISDB-T Generation Handle In

Layer Configuration

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Layer Coding Rate.vi

This VI configures Coding Rate property in the ISDBT Signal Generation handle for the selected Layer Index. The valid values for the Layer Index is 0, 1 and 2 and the valid values for the Code Rate property is 1/2, 2/3, 3/4, 5/6 and 7/8

The default value for Layer Index is 0 and the Code Rate is 1/2.

Coding Rate Select one of the coding rate as per the requirement. Supporting coding rates are 1/2, 2/3, 3/4, 5/6 and 7/8.

Layer Index

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Layer Modulation Scheme.vi

This VI configures the Modulation Scheme property in the ISDBT Signal Generation handle for the selected Layer Index. The valid values for the Layer Index is 0, 1 and 2 and the valid values for the Modulation Scheme property is DQPSK, QPSK, 16 QAM and 64 QAM.

The default value for Layer Index is 0 and the Modulation Scheme is QPSK.

Modulation Scheme Select one of the Modulation Scheme as per the requirement. Supporting schemes are DQPSK, QPSK, 16 - QAM and 64 QAM.

Layer Index

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Layer Time Interleaving Length Mode 1.vi

This VI configures the Time Interleaving Length Mode 1 property in the ISDBT Signal Generation handle for the selected Layer Index. The valid values for the Layer Index is 0, 1 and 2 and the valid values for the Time Interleaving Length Mode 1 property is 0, 4, 8 and 16.

The default value for Layer Index is 0 and the Time Interleaving Length Mode 1 property is 4.

Time Interleaving Length Mode 1 Select one of the Time Interleaving Length Mode values as per the requirement. Supporting values are 0, 4, 8 and 16.

Layer Index

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Layer Time Interleaving Length Mode 2.vi

This VI configures the Time Interleaving Length Mode 2 property in the ISDBT Signal Generation handle for the selected Layer Index. The valid values for the Layer Index is 0, 1 and 2 and the valid values for the Time Interleaving Length Mode 2 property is 0, 2, 4 and 8.

The default value for Layer Index is 0 and the Time Interleaving Length Mode 2 property is 2.

Time Interleaving Length Mode 2 Select one of the Time Interleaving Length Mode values as per the requirement. Supporting values are 0, 2, 4 and 8

Layer Index

carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Layer Time Interleaving Length Mode 3.vi

This VI configures the Time Interleaving Length Mode 3 property in the ISDBT Signal Generation handle for the selected Layer Index. The valid values for the Layer Index is 0, 1 and 2 and the valid values for the Time Interleaving Length Mode 3 property is 0, 1, 2 and 4.

The default value for Layer Index is 0 and the Time Interleaving Length Mode 2 property is 4.

Time Interleaving Length Mode 3 Select one of the Time Interleaving Length Mode values as per the requirement. Supporting values are 0, 1, 2 and 4.

Layer Index

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Payload Configuration.vi

This VI configures the Payload properties for the ISDB-T Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

MaxEye Technologies Recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

The default value of the carrier index is 0, corresponds to the first carrier. For generating multi carrier signal, Configure the parameters for each carrier index.

ISDB-T Generation Handle In

Digital Video Payload Control

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Payload Mode.vi

This VI configures the Payload Mode property in the ISDB-T Signal Generation handle. The valid values for the Payload Mode property are

PN Sequence - Specifies that the toolkit uses a Galois pseudonoise (PN) bit sequence with configurable order and seed. The seed is the initial state of the PN generator shift register.

User Defined Bits - Specifies that the toolkit repeats the user-supplied bit pattern to achieve the necessary payload length.

Test File - Specifies that the toolkit uses the data stored in the binary file as a payload for creating the waveform.

Test Pattern - Specifies that toolkit uses the value set in the Payload Test Pattern property as a payload for creating the waveform. The length of the Test Pattern is 8 bits. This value is the default.

MPEG2TS File(s) - Specifies that the toolkit uses the MPEG2 TS bitstream as a payload for creating the waveform. Use this payload mode for playing the video in the device under test.

Payload Mode

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Number of MPEG2 TS Files.vi

This VI configures the MPEG2 TS Number of Files property in the ISDBT Signal Generation handle. The toolkit combines the multiple TS files to a single TS bitstream based on the bitrate of the each TS file and the channle bitrate of the ISDBT system. The channel bitrate of the ISDBT system is determined by the hierarchical layer configuration.

The default value is 1.

MPEG2 TS Number of TS Files

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set MPEG2 TS File Path.vi

The VI configures the file location for the MPEG2TS File Path property in ISDBT Signal Generation handle for the selected TS File index. The toolkit ignores this property if the Payload Mode property value is set to other than MPEG2TS File(s) mode.

MPEG2TS File Path

TS File Index

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set TS File Format.vi

This VI configures the Carrier index, TS File Format property in ISDBT Signal Generation handle. The valid values for this property are TS File and Remultiplexed TS File. The toolkit internally uses this property only if the Manual PID Assignment Enabled property is set to True.

The toolkit ignores this property if the Payload Mode property value is set to other than MPEG2TS File(s) mode.

The default value of the carrier index is 0, corresponds to the first carrier. For generating multi carrier signal, Configure the parameters for each carrier index.

ISDB-T Generation Handle In

TS File Format Configure the TS File Format for the selected carrier. The valid values for this property are TS File and Remultiplexed TS File. The toolkit internally uses this property only if the Manual PID Assignment Enabled property is set to True.

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Manual PID Assignment Enabled.vi

This VI configures the Carrier index, Manual PID Assignment Enabled propery in the ISDB-T Signal generation handle. The valid values are True and False. When this property is set to True, the user needs to assign the PIDs for each Hieararchical layer. The toolkit ignores this property if the value for Payload Mode property is set to other than MPEG2TS File(s) mode.

The default value is False.

The default value of the carrier index is 0, corresponds to the first carrier. For generating multi carrier signal, Configure the parameters for each carrier index.

ISDB-T Generation Handle In

Manual PID Assignment Enabled? Configure the Manual PID Assignment Enabled for the selected carrier. The valid values are True and False. When this property is set to True, the user needs to assign the PIDs for each Hierarchical layer. The toolkit ignores this property if the value for Payload Mode property is set to other than MPEG2TS File(s) mode.

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Get MPEG2TS PIDs.vi

This VI returns the list of available PIDs from all the MPEG2 TS files used as a payload for generating the signal. This VI returns an empty array if the Payload Mode property is not set to MPEG2TS File(s).

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

MPEG2TS PIDs

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Sync Insertion Enabled.vi

This VI configures the Sync Insertion Enabled property in the ISDB-T Generation handle. If this property is set to True and the Payload Mode property is set to other than MPEG2TS File(s) mode then the toolkit inserts the MPEG2 TS bitstream header byte value (0x47) at the beginning of every 188 bytes.

The default value is False.

Sync Insertion Enabled

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Assign PIDs to Layer.vi

This VI configures the Assigned PIDs property in the ISDBT Signal Generation handle for the selected Layer Index. The valid values for the Layer Index is 0, 1 and 2 and the valid values for the Modulation Scheme property is DQPSK, QPSK, 16 QAM and 64 QAM.

The default value for Layer Index is 0 and the Modulation Scheme is QPSK.

Assigned PIDs

Layer Index

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Payload File Path in Layer.vi

This VI configures the Payload File Path property in the ISDBT Signal Generation handle for the selected Layer Index. The valid values for the Layer Index is 0, 1 and 2.

The default value for Layer Index is 0.

Payload File Path Configure the Payload File Path properties and the toolkit ignores other properties available in the Payload settings/ Digital Video Payload Control. This mode is used for generating signal with the data from the file. This Control is visible only if the Payload Mode selected as a Test File format.

Layer Index

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Payload PN Order in Layer.vi

This VI configures the Payload PN Order property in the ISDB-T Signal Generation handle for the selected Layer Index. The PN order specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload Mode property is set to PN Sequence.
The valid values for Layer Index are 0,1 and 2.

The default value for the Layer Index is 0 and the Payload PN Order property is 15.

Payload PN Order Specifies the order of the PN bit sequence to be generated. The valid values are 5 to 31, inclusive. Configure this field when the Payload mode is PN sequence.

Layer Index

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Payload PN Seed in Layer.vi

This VI configures the Payload PN Seed property in the ISDB-T Signal Generation handle for the selected Layer Index. The PN Seed specifies the initialization value of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload Mode property is set to PN Sequence.
The valid values for Layer Index are 0,1 and 2.

The default value for the Layer Index is 0 and the Payload PN Seed property is 0xBEEFBEEF.

Payload PN Seed Specifies the initial state of the PN generator shift register. Configure this field when the Payload mode is PN Sequence.

Layer Index

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Payload Test Pattern in Layer.vi

This VI configures the Payload Test Pattern property in the ISDB-T Signal Generation handle for the selected Layer Index. This property is applicable only when the Payload Mode property is set to Test Pattern. The valid values for Layer Index are 0,1 and 2 and Payload Test Pattern are All 1s, All 0s, 10101010, 11110000.

The default value for the Layer Index is 0 and the Payload Test Pattern property is All 1s.

Payload Test Pattern Select the required Test Pattern. Configure this field when the Payload mode is Test Pattern.

Layer Index

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Payload User Defined Bits in Layer.vi

This VI configures the Payload User Defined Bits property in the ISDB-T Signal Generation handle for the selected Layer Index. This property is applicable only when the Payload Mode property is set to User Defined Bits. The valid values for Layer Index are 0,1 and 2. The user defined bits should be array of 1s and 0s.

The default value for the Layer Index is 0.

Payload User Defined Bits

Layer Index

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Impairments Enabled.vi

This VI configures the Impairments Enabled property in the ISDBT Signal Generation handle. If this property is set to True then the toolkit adds the impairments to the generated signal as per the user configuration for the supported impairments.

The valid values are True and False. The default value is False.

Carrier index

Impairments Enabled ? If this property is set to True then the toolkit adds the impairments to the generated signal as per the user configuration for the supported impairments

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set AWGN Enabled.vi

This VI configures the AWGN Enabled property in the ISDBT Signal Generation handle. If this property is set to True then the toolkit adds Additive White Gaussian Noise (AWGN) to the created waveform based on the value configured in the Carrier to Noise Ratio property.

The valid values are True and False. The default value is False.

Carrier index

AWGN Enabled If this property is set to True then the toolkit adds Additive White Gaussian Noise (AWGN) to the created waveform based on the value configured in the Carrier to Noise Ratio property.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Carrier to Noise Ratio.vi

This VI configures the value for the Carrier to Noise ratio property, in dB in the ISDBT Signal Generation handle. This value specifies the Carrier to Noise ratio of the generated signal.

The default value is 50dB.

Carrier index

Carrier to Noise Ratio, dB This value specifies the Carrier to Noise ratio of the generated signal. The default value is 60dB.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set I DC Offset.vi

This VI configures the I DC Offset, in % in the ISDBT Signal Generation Handle. The toolkit adds the DC offset to the in-phase signal component (I) of the complex waveform as a percentage of the root mean square magnitude of the unaltered I signal.

The default value is 0.

Carrier index

I DC offset, % specifies the desired DC offset of the I waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set IQ Gain Imbalance.vi

The VI configures the value for the IQ Gain Imbalance property, in dB in the ISDBT Signal Generation handle. This value specifies the ratio, in dB, of the mean amplitude of the in-phase (I) signal to the mean amplitude of the quadrature-phase (Q) signal.

The default value is 0.

Carrier index

IQ gain imbalance, dB specifies the desired ratio of I gain to Q gain in dB. Valid values are between –6.0 and +6.0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Q DC Offset.vi

This VI configures the value for Q DC Offset property, in % in the ISDBT Signal Generation Handle. The toolkit adds the DC offset to the quadrature-phase signal component (Q) of the complex waveform as a percentage of the root mean square magnitude of the unaltered Q signal.

The default value is 0.

Q DC offset , % specifies the desired DC offset of the Q waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Quadrature Skew.vi

This VI configures the value for Quadrature skew Property in degrees in the ISDB-T Signal Generation handle. Quadrature Skew specifies the deviation in angle from 90 degrees between the in-phase (I) and quadrature-phase (Q) signals.

The default value for the Quadrature Skew is 0.

Quadrature skew, deg specifies the desired quadrature skew of the complex waveform in degrees. Valid values are between –30.0° and +30.0°.

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Clock Offset.vi

This VI configures the value for the Clock Offset property, in PPM in the ISDBT Signal Generation handle. The toolkit applies the clock offset to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

Carrier index

Clock Offset (PPM) The toolkit applies the clock offset to the generated waveform based on this value. The applied clock offset is relative to the clock frequency of the signal generator. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Frequency Offset.vi

This VI configures the value for the Frequency Offset property, in Hz in the ISDBT Signal Generation Handle. The toolkit applies frequency offset to the created waveform based on the value configured in this property. The applied frequency offset is relative to the signal generator's carrier frequency.

The default value is 0.

Carrier index

Frequency offset, Hz The toolkit applies frequency offset to the created waveform based on the value configured in this property. The applied frequency offset is relative to the signal generator's carrier frequency. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle

ISDB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye ISDBT SG Set Impairment Configuration.vi

This VI configures the Impairment properties for the ISDB-T Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

MaxEye Technologies Recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

The default value of the carrier index is 0, corresponds to the first carrier. For generating multi carrier signal, Configure the parameters for each carrier index.

ISDB-T Generation Handle In

Impairments

Carrier index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

ISDB-T Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye_ISDBT_SG_Remote_TCP_Open_Connection.vi

This VI opens TCP network connection between ISDB-T SFP client and server applications.

IP Address

Port Number

Timeout (ms)

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_Number_of_Carriers.vi

This VI configures the Number of Carriers to the ISDB-T Remote SFP Application through TCP Network Connection.

The default value is 1.

Connection ID In

Number of Carriers

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_Number_of_Frames.vi

This VI configures the total number of frames to the ISDB-T Remote SFP Application through TCP Network Connection.

The default value is 1.

Connection ID In

Number of Frames

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_Generation_Mode.vi

This VI configures the Generation Mode to the ISDB-T Remote SFP Application through TCP Network Connection.

The default value is 1.
0 - Generate and Play Waveform
1 - Generate and Save Waveform
2 - Play Waveform From File

Connection ID In

Generation Mode

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_Hardwar_Type.vi

This VI configures the Hardware Type to the Client ISDB-T SFP Application thorugh TCP Network Connection.

The default value is 0.
0 - VSG/VST(5644R,5645R,5646R,5840)
1 - USRP

Connection ID In

Hardware Type

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_Hardware_Settings.vi

This VI configures the VSG/VST Hardware Settings to the ISDB-T Remote SFP Application through TCP Network Connection.

Connection ID In

Hardware settings

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_Output_Waveform_Settings.vi

This VI configures the ISDB-T Output Waveform Settings to the Remote SFP Application through TCP Network Connection.

Connection ID In

Output Waveform Settings

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_Output_Waveform_File_Path.vi

This VI configures the Generate and Save Waveform File Path to the Remote SFP Application through TCP Network Connection.

Connection ID In

Wavfeorm File Path

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_Carrier_Configuration.vi

This VI Configures the Carrier Frequency and Signal Bandwidth for the each carrier based on carrier index value to the ISDB-T Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Signal Bandwidth Default Value is 6MHz

Connection ID In

Carrier frequency (Hz) The center frequency of the signal analyzer.

Signal Bandwidth (Hz)

Carrier Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_TSFilePath.vi

This VI Configures the ISDB-T MPEG2TS File Path for the each carrier based on carrier index value to the ISDB-T Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.
The default value of the Layer Index is zero corresponds to the first Layer Configuration of the carrier.

Connection ID In

MPEG2TS FilePath

TS File Path Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_ISDBT_Configuration.vi

This VI Configures the ISDB-T Waveform Settings for each carrier based on carrier index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

ISDBT Configuration

Carrier Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_Layer_AssignedPIDs.vi

This VI Configures the Hierarchical Layer Assigned PIDs, Payload User Defined Bits for the each Layer of the carrier based on carrier index & layer index value to the ISDB-T Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.
The default value of the Layer Index is zero corresponds to the first Layer Configuration of the carrier.

Connection ID In

Payload User Defined Bits

Assigned PIDs

Carrier Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Layer Index

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_Layer_Configuration.vi

This VI Configures the Hierarchical Layer properties for the each carrier with each layer based on carrier index & layer index value to the ISDB-T Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.
The default value of the Layer Index is zero corresponds to the first Layer Configuration of the carrier.

Connection ID In

Carrier Index

Layer Configuration

Layer Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_Impairments.vi

This VI Configures the Impairment properties for the each carrier based on carrier index value to the ISDB-T Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Impairments

Carrier Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Generation_Control.vi

This VI configures the Generation Mode Type to the ISDB-T Remote SFP Application thorugh TCP Network Connection.

The default value is 0.
0 - Start Generation
1 - Stop Generation

Connection ID In

Generation Type

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_TCP_Get_Error_Status.vi

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID In

Error Code Out

Generation Status

Error Status

Connection ID Out

Generating Frames


MaxEye_ISDBT_SG_Remote_Set_Play_Waveform_File_Path.vi

This VI configures the Play Waveform File Path to the Remote SFP Application through TCP Network Connection.

Connection ID In

Wavfeorm File Path

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_Play_Waveform_File_Settings.vi

This VI configures the ISDB-T Play Waveform From File Settings to the ISDB-T Remote SFP Application thorugh TCP Network Connection.

Connection ID In

Play Waveform Settings

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_USRP_Hardware_Settings.vi

This VI configures the USRP Hardware Settings to the ISDB-T Remote SFP Application thorugh TCP Network Connection.

Connection ID In

USRP IP Address

Gain (dB) gain specifies the aggregate gain, in dB, applied to the RF signal.

USRP Carrier Frequency (Hz) gain specifies the aggregate gain, in dB, applied to the RF signal.

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Active Antenna active antenna specifies the antenna port to use for this channel.

Connection ID Out

Error Code Out


MaxEye_ISDBT_SG_Remote_TCP_Close_Connection.vi

This VI Closes TCP Network Connection between ISDB-T SFP Client and Server Application.

Connection ID In

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Error Code Out


MaxEye_ISDBT_SG_Remote_Set_USRP_Play_Waveform_Settings.vi

This VI configures the USRP Play Waveform from File Settings to the ISDB-T Remote SFP Application thorugh TCP Network Connection.

Connection ID In

Write Block Size (Samples)

Sample Width

Waveform File Path

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out